package com.StudentServices.MarksService.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.HashMap;

@Document(collection = "StudentScemaV1")
public class StudentMarks {


    @Id
    private String emailAddress;
    private HashMap<String, String> marks;

    public StudentMarks() {}


    public StudentMarks(String emailAddress, HashMap<String, String> marks) {
        this.emailAddress = emailAddress;
        this.marks = marks;
    }


    public String getEmailAddress() {
        return emailAddress;
    }

    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress;
    }

    public HashMap<String, String> getMarks() {
        return marks;
    }

    public void setMarks(HashMap<String, String> marks) {
        this.marks = marks;
    }

}
